﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDTTest
{
    public class MainWindowViewModel
    {
        private ObservableCollection<MenuItem> _menuItems;

        public MainWindowViewModel()
        {
            _menuItems = new ObservableCollection<MenuItem>();

            MenuAction action0a = new MenuAction() { Header = "Action 0-A" };
            MenuAction action1a = new MenuAction() { Header = "Action 1-A" };
            MenuAction action2a = new MenuAction() { Header = "Action 2-A" };
            MenuAction action2b = new MenuAction() { Header = "Action 2-B" };
            MenuAction action0b = new MenuAction() { Header = "Action 0-B" };
            MenuAction action3a = new MenuAction() { Header = "Action 3-A" };

            MenuAction action4a = new MenuAction() { Header = "Action 4-A" };
            MenuAction action4b = new MenuAction() { Header = "Action 4-B" };

            MenuGroup group1 = new MenuGroup() { Header = "Group 1" };
            MenuGroup group2 = new MenuGroup() { Header = "Group 2" };
            MenuGroup group3 = new MenuGroup() { Header = "Group 3" };
            MenuGroup group4 = new MenuGroup() { Header = "Group 4" };

            _menuItems.Add(action0a);

            _menuItems.Add(group1);

            group1.AddChild(action1a);
            group1.AddChild(group2);

            group2.AddChild(action2a);
            group2.AddChild(action2b);
            group2.AddChild(group4);

            group3.AddChild(action3a);

            group4.AddChild(action4a);
            group4.AddChild(action4b);

            
            
            _menuItems.Add(group3);
            _menuItems.Add(action0b);
        }

        public ObservableCollection<MenuItem> MenuItems
        {
            get { return _menuItems; }
        }
    }
}
